Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GenStandardPropertyTab

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, GenPropertyTab, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  GenStandardPropertyTabImpl

    public interface GenStandardPropertyTab

extends GenPropertyTab

A representation of the model object 'Gen Standard Property Tab'. Standard property category plugs in predefined sets of properties (provided by runtime). Identifiers 'appearance', 'diagram' and 'advanced' are known at the moment

See Also:
  `GMFGenPackage.getGenStandardPropertyTab()`
** Generated **
Model:

Method Summary

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenPropertyTab
`getID, getLabel, getSheet, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.